import * as Styles from "@root/Content/style";
import * as MessageStyles from "@root/Message/style/message";
import React from "react";
import { MessageType } from "discord-api-types/v10";
function ThreadButton(props) {
    // todo: open thread callback specified by lib user
    return (React.createElement(Styles.ThreadButtonContainer, null,
        React.createElement(MessageStyles.ThreadSpine, { hasReply: props.hasReply, fromThreadCreatedType: props.messageType === MessageType.ThreadCreated }),
        React.createElement(Styles.ThreadButton, null,
            React.createElement(Styles.ThreadButtonTopLine, null,
                React.createElement(Styles.ThreadButtonName, null, props.thread.name),
                React.createElement(Styles.SeeThreadButton /* onClick={openThread} */, null, "See Thread \u203A")))));
}
export default ThreadButton;
//# sourceMappingURL=ThreadButton.js.map