import * as React from "react";
import { PureComponent } from "react";
import { memoize } from "lodash";
import ChatTag from "@root/ChatTag";
import RoleIcon from "@root/Message/RoleIcon";
import getAvatar from "@utils/getAvatar";
import * as Styles from "@root/Message/style/author";
// todo: make functional
class MessageAuthor extends PureComponent {
    constructor() {
        super(...arguments);
        this.convertColor = memoize((color) => color > 0 ? `#${color.toString(16).padStart(6, "0")}` : undefined);
        this.getDominantRoleColor = memoize((roleIds) => {
            return null;
            if (roleIds === null)
                return null;
            // todo: make work
            // const [role] = roleIds
            //   .map(id => generalStore.guild?.roles.find(r => r.id === id))
            //   .filter(r => r !== undefined && r.color !== 0)
            //   .sort((a, b) => b.position - a.position);
            //
            // return role?.color ?? null;
        });
        this.getDominantRoleIconRole = memoize((roleIds) => {
            return null;
            if (roleIds === null)
                return null;
            // todo: make work
            // const [role] = roleIds
            //   .map(id => generalStore.guild?.roles.find(r => r.id === id))
            //   .filter(r => r !== undefined && (r.icon !== null || r.unicodeEmoji !== null))
            //   .sort((a, b) => b.position - a.position);
            //
            // // Fall back to null if the role is undefined.
            // // This can happen if the role wasn't provided with the guild, but was on the user
            // // or no role the user has had an icon or unicode emoji.
            // return role ?? null;
        });
    }
    render() {
        // Gets the dominant role color
        // const dominantRoleColor = this.getDominantRoleColor(
        //   this.props.author.roles
        // );
        // const color = this.convertColor(dominantRoleColor ?? 0);
        //
        // Gets the dominant role icon
        // const dominantRoleIconRole = this.getDominantRoleIconRole(
        //   this.props.author.roles
        // );
        var _a;
        const color = this.convertColor(0);
        const dominantRoleIconRole = null;
        if (this.props.onlyShowUsername)
            return (React.createElement(Styles.MessageAuthor, null,
                React.createElement(Styles.Username, { style: { color } }, this.props.author.username)));
        return (React.createElement(Styles.MessageAuthor, null,
            React.createElement(Styles.Avatar, { src: getAvatar(this.props.author, {
                    animated: (_a = this.props.avatarAnimated) !== null && _a !== void 0 ? _a : false,
                }), draggable: false }),
            React.createElement(Styles.Username, { style: { color } }, this.props.author.username),
            dominantRoleIconRole !== null && (React.createElement(RoleIcon, { role: dominantRoleIconRole })),
            React.createElement(ChatTag, { author: this.props.author, crosspost: this.props.crosspost, referenceGuild: this.props.referenceGuild })));
    }
}
export default MessageAuthor;
//# sourceMappingURL=MessageAuthor.js.map