import MessageAuthor from "@root/Message/MessageAuthor";
import LargeTimestamp from "@root/Message/LargeTimestamp";
import React from "react";
import * as Styles from "@root/Message/style/message";
import { SystemMessageIconSize } from "@root/Message/style/message";
function ChannelNameChange(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconPencil" }),
        React.createElement(Styles.SystemMessageContent, { fullColor: true },
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " changed the channel name: ",
            React.createElement("strong", null, props.content)),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
}
export default ChannelNameChange;
//# sourceMappingURL=ChannelNameChange.js.map