import * as AuthorStyles from "../style/author";
import MessageAuthor from "@root/Message/MessageAuthor";
import LargeTimestamp from "@root/Message/LargeTimestamp";
import React from "react";
import * as Styles from "@root/Message/style/message";
import { SystemMessageIconSize } from "@root/Message/style/message";
// todo: check if this also applies to group chats, and support those as well.
function RecipientAdd(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconAdd" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " added",
            " ",
            React.createElement(AuthorStyles.Username, null, props.target.username),
            " ",
            "to the thread."),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
}
export default RecipientAdd;
//# sourceMappingURL=RecipientAdd.js.map