import Emoji from "@root/Emoji";
import SimpleMarkdown from "simple-markdown";
import React from "react";
export const customEmoji = {
    order: SimpleMarkdown.defaultRules.text.order,
    match: (source) => /^<(a)?:(\w+):(\d+)>/.exec(source),
    parse: ([, animated, name, id]) => ({
        id,
        name,
        animated: !!animated,
        src: `https://cdn.discordapp.com/emojis/${id}.${animated ? "gif" : "png"}`,
    }),
    react: (node) => (React.createElement(Emoji, { emojiName: node.name, enlarged: node.jumboable, src: node.src })),
};
//# sourceMappingURL=customEmoji.js.map