import * as AuthorStyles from "../style/author";
import MessageAuthor from "@root/Message/MessageAuthor";
import LargeTimestamp from "@root/Message/LargeTimestamp";
import React from "react";
import * as Styles from "@root/Message/style/message";
import { SystemMessageIconSize } from "@root/Message/style/message";
function RecipientRemove(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconRemove" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " removed",
            " ",
            React.createElement(AuthorStyles.Username, null, props.target.username),
            " ",
            "from the thread."),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
}
export default RecipientRemove;
//# sourceMappingURL=RecipientRemove.js.map